Bug 242117 - Wrong key listed in : books/faq 4.4.4. How do I use my delete key in sh and csh?
Summary: Wrong key listed in : books/faq 4.4.4. How do I use my delete key in sh and csh?
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sergio Carlavilla Delgado
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-20 18:51 UTC by Nikolaus Klepp
Modified: 2019-12-15 09:23 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolaus Klepp 2019-11-20 18:51:34 UTC
In the FAQs chapter 4.4.4 "How do I use my delete key in sh and csh?":

What should be acomplished:
"delete" removes character right of cursor.
"backspace" removes character left of cursor.

But the documentatation advises to remap both "delete" and "backspace" to remove the character left of the cursor.

So these two lines shpould be deleted from the FAQ:

bind ^? ed-delete-next-char # for console

bindkey ^? delete-char # for console
Comment 1 Nikolaus Klepp 2019-11-24 17:33:53 UTC
Ooops, typo: It should be: [..] "delete" and "backspace" to remove the character right of the cursor. -- which results in a surprise as "backspace" appears not to work any more why typing.
Comment 2 commit-hook freebsd_committer 2019-12-15 09:14:47 UTC
A commit references this bug:

Author: carlavilla
Date: Sun Dec 15 09:14:15 UTC 2019
New revision: 53691
URL: https://svnweb.freebsd.org/changeset/doc/53691

Log:
  Update the explanation of how to use the delete key in console and xterm in
  the section 4.4.4 of the FAQ.

  And remove a dead link

  PR:		242117
  Submitted by:	dr.klepp@gmx.at
  Patch by:	carlavilla@
  Approved by:	bcr@
  Differential Revision:	https://reviews.freebsd.org/D22805

Changes:
  head/en_US.ISO8859-1/books/faq/book.xml
Comment 3 Sergio Carlavilla Delgado freebsd_committer 2019-12-15 09:23:51 UTC
Fixed. Good catch.